Package: org.grails.cli.interactive.completers

## [Groovy] Class ClosureCompleter

- org.grails.cli.interactive.completers.ClosureCompleter

- All Implemented Interfaces and Traits:
    jline.console.completer.Completer

      @groovy.transform.CompileStatic
      class ClosureCompleter
      extends java.lang.Object
      implements jline.console.completer.Completer

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private groovy.lang.Closure<java.util.Collection<java.lang.String>>` | `closure` |
    `private jline.console.completer.Completer` | `completer` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ClosureCompleter (groovy.lang.Closure<java.util.Collection<java.lang.String>> closure)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `complete(java.lang.String buffer, int cursor, java.util.List<java.lang.CharSequence> candidates)`
    `` | `jline.console.completer.Completer` | `getCompleter()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private groovy.lang.Closure<java.util.Collection<java.lang.String>> closure

    - #### private jline.console.completer.Completer completer

  - ### Constructor Detail

    - #### ClosureCompleter(groovy.lang.Closure<java.util.Collection<java.lang.String>> closure)

  - ### Method Detail

    - #### @java.lang.Override int complete(java.lang.String buffer, int cursor, java.util.List<java.lang.CharSequence> candidates)

    - #### jline.console.completer.Completer getCompleter()